---
layout: handbook-page-toc
title: "Recruiting Metrics"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Recruiting Metrics

The recruiting team pulls metrics reports each week, month, quarter, and year, as well as routinely for the People [Group Conversation](/handbook/people-group/group-conversations/).


### Diversity Lifecycle: Applications, Recruited, Interviewed, Offers Extended, Offers Accepted, and Retention

The recruiting workflow [metrics](https://gitlab.com/gitlab-data/analytics/issues/1215) specific to candidates who self-identified as coming from an [underrepresented group](/company/culture/inclusion/).

### New Hire Location Factor

The [average location factor](/handbook/people-group/people-operations-metrics/#average-location-factor) of all newly hired team members within the last rolling 3 month as of the end of the period. (Ex: If the current month is 2019-09-01 then the calculation pulls months 2019-06-01 to 2019-08-31).
Each division and department has their own new hire location factor [target](/handbook/people-group/people-group-metrics/#sts=Average%20Location%20Factor).
<iframe class="dashboard-embed" src="https://app.periscopedata.com/shared/11ce2c22-037a-49d3-8a0a-fcd9783070f3?embed=true" height="1400"> </iframe>

### Offer Acceptance Rate

The number of offers accepted divided by the number of offers extended in a given month. The offer acceptance rate target is > 0.9.
In other words, if 50 offers were extended in June, the offer acceptance rate is the total number of those offers accepted divided by fifty. If an offer is extended June 30 but accepted July 1, it is presented in June's offer acceptance rate. This means that last month's numbers may change slightly as offers are accepted in the beginning of the next calendar month. This analysis can be found on the [People Group Dashboard](https://app.periscopedata.com/app/gitlab/482006/People-Group-KPIs).
<embed width="100%" height="100%" src="<%= signed_periscope_url(chart: 6235279, dashboard: 482006, embed: 'v2') %>">

The offer acceptance rate comes from Greenhouse's offer data.

### Time to Offer Accept (Days)

The median number of days from when a candidate is active in Greenhouse (applied, referred, or sourced) to accepting an offer in a given month. The Time to Offer Accept (Days) target is < 45. This analysis can be found on the [People Group Dashboard](https://app.periscopedata.com/app/gitlab/482006/People-Group-KPIs).
<embed width="100%" height="100%" src="<%= signed_periscope_url(chart: 6235296, dashboard: 482006, embed: 'v2') %>">

- In addition to the overall time to offer accept median, we'll also provide insights on the KPI by calculating the 80th percentile (i.e. removing outliers that generally skew the average).

### Active Users with a Recruiting or Hiring Manager LinkedIn Seat > X%

The percentage of team members that have a *Recruiter* or *Hiring Manager* seat and at least 1 active day of use per month. This is calculated by taking the total number of team members with at least 1 active day of use and dividing it by the total number of team members that have a seat.

### Applied vs Sourced Candidates

This tracks the number of candidates who were Applied (Inbound) at the Hiring stage versus those that were Sourced (Outbound) each calendar month, by division. There is no target for this PI as GitLab wants a mixture of both Sourced- and Applied candidates.

As we intentionally strengthen other channels (Sourcing, Referrals, SocialReferrals, etc), we expect the percentage of hires from inbound applications to decrease. To ensure that we don’t create an unintentional bias against inbound applicants, we are not assigning a target to this channel, but expect that it will account for less than 50% of our overall hires over time.

### CES Service Desk Metrics

[CES Service Desk](/handbook/hiring/recruiting-framework/coordinator/#interview-reschedule-requests-and-other-communication-to-the-ces-email)
   1. Issue Response Time is the time between an issue being created and the first comment from a CES.
   1. Issue Distribution reflects the volume of issues the CES team is managing on an individual basis.
   1. Resolution Time is the time from when an issue is created to when it is closed.

Label Trends are not an individual performance indicator rather used to track the purpose of the issues. This can be used to investigate if there are underlying trends that need to be addressed with training or process improvement.

## Recruiting Gearing Ratios

Gearing ratios are used as [Business Drivers](/handbook/finance/financial-planning-and-analysis/#business-drivers) to forecast long term financial goals by function. The six primary gearing ratios for Recruiting are:

- Hires Per Month Per Individual Contributor Recruiter
- Hires Per Month Per Lead Recruiter
- Recruiters Supported Per Sourcer Ratio
- Recruiters Supported Per Coordinator Ratio
- IC & Leads To Manager Ratio
- Division Headcount to Other Team Members Ratio

Hires Per Month Per Individual Contributor Recruiter and Hires Per Month Per Lead Recruiter are measures of total monthly hires expected to be completed by an individual contributor recruiter or lead recruiter team member. The long term target for Hires Per Month Per Individual Contributor Recruiter is 5.0. The long term target for Hires Per Month Per Lead Recruiter is 4.0.

Recruiters Supported Per Sourcer Ratio is the ratio of recruiters to one sourcer. The long term target for this metric is 1.5:1.

Recruiters Supported Per Coordinator Ratio is the ratio of recruiters to one coordinator. The long term target of this metric is 3:1.

The IC & Leads to Manager Ratio is the ratio of individual contributors and leads to one manager. The long term target for this metric is 7:1.

The Division Headcount to Other Team Members Ratio is the ratio of the division headcount of recruiters, sourcers, and coordinators to one other team member. The long term target for this metric is 10:1.

Forecasting is an iterative process, in that, we will continue to introduce complexities and variables over time.

## People Group Monthly Metrics Report

The recruiting tab of the monthly metrics reports can be found in the [Google Drive](https://drive.google.com/drive/u/1/folders/1UNisqJAJQbYiEplNKG0FsgKQkx4-qoHA) and is only accessible to those who contribute to and review the reports, as they contain confidential information about team members and candidates. The reports contain several tabs: "Summary", "Recruiting", "eNPS", "Diversity", "Low Location Factor", and "Turnover". The recruiting team is responsible for the Recruiting, eNPS, and Diversity tabs, as well as summarizing their findings on the Summary tab. The reports are done in the month following the month that we are analyzing so that we are able to have the full picture (e.g. January's metrics report is done in February).

#### Structure

Currently, the Recruiting tab consists of a metric "scorecard" that reports on the overall metrics as well as broken out into divisions. The scorecard includes:

- Number of hires
- Number of offers
- Offer acceptance rate
- Number of (known) diverse hires
- Percentage of (known) diverse hires
- Average days from Apply to Accept (aka days to hire)
- Candidate satisfaction
- Number of hires from low location index
- Percent of hires from low location index
- Number of hires from outside of the US
- Percent of hires from outside of the US
- Number of roles sourced
- Number of referrals made
- Number of referrals hired

The Recruiting tab continues to include information regarding the hiring plan vs the hiring progress of each month vs overall, the number of openings as of the end of the month as well as the average number of openings per recruiter, and a candidate funnel of the past three months to evaluate volume of applicants and pass through rate of each stage. Finally, a full list of hires for that month is created, which includes:

- Candidate name
- Days from Apply to Accept
- Applied date
- Offer date
- Hired date (aka the date the candidate signs their contract)
- Division
- Vacancy name
- Source
- Location (city, state (if applicable), and country)
- Location factor (high or low)

#### How to pull the report

To get the data for the recruiting tab, you will need to go to the [Greenhouse Reports page](https://app2.greenhouse.io/reports) and pull a variety of reports.

The first report you should pull is the "[Hiring Speed per Candidate](https://app2.greenhouse.io/reports/hiring_speed)" report. Click "Filters and more" and change "Open" jobs to "All" jobs, save, then click "Include Migrated Candidates", and click "Apply". Then download the report by clicking the down arrow "Export to Excel" and imported the downloaded report to a Google Sheets document. (It's best to keep a working spreadsheet for all reports needed in a month, which you would then pick and pull the important data out of and into the official monthly metrics spreadsheet.) This report will give you a full list of all hires, so you will need to delete all hires except for those hired in the month you are evaluating. To do so, change the "Format" of the "Accepted Date" column to "Date", then filter by oldest to newest, and delete all rows before and after the month in question. Copy over the name of the candidates, their vacancies, sources, applied date, offer date, and accepted date into the monthly metrics report. You will want to create your own formula for Days from Apply to Accept, as Greenhouse analyzes the Days to Offer, which is the day we move a candidate to the offer stage but we use the day a candidate signs their contract; to do this, use the `datedif` formula, using the "Applied on" and "Accepted date" dates.

The next report you will pull is the "[Offer Activity](https://app2.greenhouse.io/reports/offer_summary)". Click "Filters and more" and change "Open" jobs to "All" jobs, save, click "Include Migrated Candidates", and choose activity date of "Previous Month"; then click apply and download the report and import it into your working spreadsheet. The report shows how many candidates moved to offer stage and for some reason were rejected in the previous month. You can sort the report by "Offers Rejected" to see which jobs had a candidate that moved to offer but rejected. You will then need to go into the job dashboard for each of these jobs and filter to find the candidate(s) in question. Make sure the rejection reason is accurate (we are only looking to collect data on candidates who declined our offers), and if there is not a specific reason why a candidate declined our offer reach out to the recruiter for more information. Include your finds in the monthly metrics report scorecard and be sure to break it out by division.

Next, you will want to pull a report of the diversity data for the hired candidates for the month. You will pull an [EEOC](https://app2.greenhouse.io/reports/eeoc) report (only able to be pulled by Site Admins with permission to do so), change the filter to include "All" jobs, and download/import the **expanded** report. Next, do a `vlookup` to tie the hired candidate's names to the list of candidates in the EEOC report. Do not copy over the specifics of each candidate, but count how many diverse hires we had and in what divisions.

The next report is the "[Pipeline History and Pass-through Rates](https://app2.greenhouse.io/reports/interviewing_pipeline)" report, which you will use to create the applicant funnel.

Next, you will pull a "[Referrals Over Time](https://app2.greenhouse.io/reports/referrals)" report, and change the filters to "all jobs" and have the columns be "Month", not "Week". Then you will copy over the number of referrals overall for the month you are evaluating, as well as for each division.

Finally, you will pull an "[All Jobs Summary](https://app2.greenhouse.io/reports/jobs_summary)" report, with the filters of "All" jobs and including migrated candidates, download/import it into Google Sheets, and calculate the `sum` of all openings for "Open" jobs. Copy that number into the number of openings field in the monthly metrics report, and then divide it by the number of recruiters to get the average number of vacancies per recruiter.

### SAT Tab of Monthly Metrics Report

#### Structure

The SAT report consists of two SAT evaluations; Candidate Interview ASAT and Onboarding TSAT. Recruiting is responsible for the Candidate Interview ASAT evaluation.

The Candidate Interview ASAT is collected through a candidate survey sent out from Greenhouse one week after a candidate is either rejected or hired, and it is only sent out to candidates who advanced to the team interview stage or later. The recruiting team evaluates the number of responses made in the month in question, and then provides the average score of those responses. Then the responses are broken out by division, so we can evaluate which divisions are providing the best candidate experiences and where we can improve.

#### How to Pull the Report

To get the data for the Candidate Interview ASAT, you will need to go to the [Greenhouse Reports page](https://app2.greenhouse.io/reports), and select the default report "[Candidate Surveys](https://app2.greenhouse.io/reports/candidate_surveys)". Next, click on "Filters and more", choose a date range of "Previous Month", then click "Apply". Then download the report by clicking the down arrow "Export to Excel" and importing the downloaded report to a Google Sheets document. We have a [pre-existing Google Sheets](https://docs.google.com/spreadsheets/d/1vOVqcOCu3vJNMXMwvKWBhRUUDYx5s50zIOMnghK-FJU/edit#gid=1779752772) that contains all of our Candidate Survey results since we joined Greenhouse, so you will need to import the report as a new sheet.

Once you have the report in Google Sheets, put a filter on the data, and sort Row D "1. Overall, my interviewing experience was a positive one." Add a new column to the left of Row D and title the new column "Score". Correlate each of the following responses with the appropriate number:

- Strongly Agree = 5
- Agree = 4
- Neutral = 3
- Disagree = 2
- Strongly Disagree = 1

You will then need to create another new column next to the "Departments" column and title it "Division". Based on the department listed for each response, enter in the correlating division.

Once all divisions are added, create a pivot table so you can view how many of each score each division got. Then you will input this data into the master monthly metrics spreadsheet.

### Diversity Tab of Monthly Metrics Report

#### Structure

The Diversity report is split out into evaluation of current team members and all candidates. The recruiting team is responsible for the candidates portion, and we pull information on the provided EEOC data that applicants can choose to submit during their application. We evaluate gender and race/ethnicity at this time.
